# GaiaHubConfig | Stacks.js 1.0.0 Library Reference
Documentation for Stacks.js 1.0.0 Library Reference

The configuration for the user's Gaia storage provider.

### Hierarchy

- GaiaHubConfig

## Index

### Properties

- address
- max_file_upload_size_megabytes
- server
- token
- url_prefix

## Properties

### address

address: string

- Defined in packages/storage/src/hub.ts:34

### max_file_upload_size_megabytes

max_file_upload_size_megabytes: number | undefined

- Defined in packages/storage/src/hub.ts:37

### server

server: string

- Defined in packages/storage/src/hub.ts:38

### token

token: string

- Defined in packages/storage/src/hub.ts:36

### url_prefix

url_prefix: string

- Defined in packages/storage/src/hub.ts:35

Generated using TypeDoc